# IMusicPlayer

| NameSpace    | Accessibility |
| ------------ | ------------- |
| Ami.BroAudio | public        |

## Description

This is returned by the [AsBGM()](/broaudio/core-features/audio-player/music-player.md#asbgm) method. It's basically the same as [IAudioPlayer](/broaudio/reference/api-documentation/interface/iaudioplayer.md), but it includes a SetTransition() method and excludes the AsBGM() method.

## Public Methods

<table data-full-width="false"><thead><tr><th width="173">Method</th><th width="129">Return</th><th width="193">Parameters</th><th width="249">Description</th></tr></thead><tbody><tr><td><mark style="color:orange;"><strong>SetTransition</strong></mark></td><td><a href="/pages/ccbFQksSq8OOYhF9GKoF">IMusicPlayer</a></td><td><a href="/pages/XshtSywgG3CTz5SkmJQ0"><mark style="color:green;">Transition</mark> </a>transition</td><td>Set the transition mode that the music player will apply when playing the next BGM</td></tr><tr><td></td><td></td><td><a href="/pages/XshtSywgG3CTz5SkmJQ0"><mark style="color:green;">Transition</mark> </a>transition, <mark style="color:green;">float</mark> fadeTime</td><td>Same as above, but can override the fade time set in LibarayManager</td></tr><tr><td></td><td></td><td><a href="/pages/XshtSywgG3CTz5SkmJQ0"><mark style="color:green;">Transition</mark> </a>transition, <a href="/pages/GD8Eo7A3eQRGABSMPf7H"><mark style="color:green;">StopMode</mark> </a>stopMode</td><td>Same as above, but can specify the StopMode</td></tr><tr><td></td><td></td><td><a href="/pages/XshtSywgG3CTz5SkmJQ0"><mark style="color:green;">Transition</mark> </a>transition, <a href="/pages/GD8Eo7A3eQRGABSMPf7H"><mark style="color:green;">StopMode</mark> </a>stopMode, <mark style="color:green;">float</mark> fadeTime</td><td>Same as above with all the parameters</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://man572142s-organization.gitbook.io/broaudio/reference/api-documentation/interface/imusicplayer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
